
<?php include"header.php"?>
<?php include"nav.php"?>


  
 <div class="container" style="background: rgb(255 255 255 / 90%);padding: 18px;
">
    <div class="row">
      <div class="col-md-6 mx-auto">
         <h2 style="text-align: center;">Multiplication Table Generator</h2>
        <!-- <p style="text-align: center;">The Multiplication Table Generator is a web-based tool that allows users to generate multiplication tables based on a specified number.</p> -->
         <form id="tableForm" class="mt-4">
            <div class="mb-3">
                <label for="number" class="form-label">Enter a number:</label>
                <input type="number" id="number" name="number" class="form-control" required min="1">
            </div>
            <button type="submit" class="btn btn-primary">Generate Table</button>
            <button type="button" id="nextButton" class="btn btn-secondary" style="display: none;">Next</button>
            <button type="button" id="copyButton" class="btn btn-success" style="display: none;">Copy Table</button>
        </form>
        <div id="tableContainer" class="mt-4"></div>
        </div>
</div>
</div>
  <?php include"more_tools.php"?>
  
</div>
</div>

 </div>
    </div>
  </div>

    </div>
 

  <div class="container" id="faq">
  <div class="row mb-5">
  <?php include"mostafa-content.php"?>
</div>
<?php include"footer.php"?>
 <script>
        var currentNumber = 0;
        var nextButton = document.getElementById("nextButton");
        var copyButton = document.getElementById("copyButton");

        document.getElementById("tableForm").addEventListener("submit", function(event) {
            event.preventDefault();

            var number = parseInt(document.getElementById("number").value);
            var tableContainer = document.getElementById("tableContainer");
            tableContainer.innerHTML = ""; // Clear previous table if any

            var table = document.createElement("table");
            table.classList.add("table");

            var tableBody = document.createElement("tbody");

            for (var i = 1; i <= 10; i++) {
                var result = number * i;
                var equation = number + " x " + i + " = " + result;

                var row = document.createElement("tr");
                var equationCell = document.createElement("td");
                equationCell.textContent = equation;

                row.appendChild(equationCell);
                tableBody.appendChild(row);
            }

            table.appendChild(tableBody);
            tableContainer.appendChild(table);

            currentNumber = number;
            nextButton.style.display = "inline";
            copyButton.style.display = "inline";
        });

        nextButton.addEventListener("click", function() {
            var tableContainer = document.getElementById("tableContainer");
            tableContainer.innerHTML = ""; // Clear previous table if any

            var table = document.createElement("table");
            table.classList.add("table");

            var tableBody = document.createElement("tbody");

            for (var i = 1; i <= 10; i++) {
                var result = currentNumber * i;
                var equation = currentNumber + " x " + i + " = " + result;

                var row = document.createElement("tr");
                var equationCell = document.createElement("td");
                equationCell.textContent = equation;

                row.appendChild(equationCell);
                tableBody.appendChild(row);
            }

            table.appendChild(tableBody);
            tableContainer.appendChild(table);

            currentNumber += 1;
            copyButton.style.display = "inline";
        });

        copyButton.addEventListener("click", function() {
            var tableContainer = document.getElementById("tableContainer");
            var table = tableContainer.getElementsByTagName("table")[0];
            var range = document.createRange();
            range.selectNode(table);
            window.getSelection().removeAllRanges();
            window.getSelection().addRange(range);
            document.execCommand("copy");
            window.getSelection().removeAllRanges();
            alert("Table copied to clipboard!");
        });
    </script>
</body>
</html>
